module FromHyrax
  class RunImportJob < ApplicationJob
    queue_as :default

    def perform(csv_url, csv_params)
      Rails.logger.warn "Import Job #{csv_url}, params: #{csv_params.inspect}"
      csv     = CSV.parse(get_response(URI(csv_url)).body, headers: true, return_headers: false).map(&:to_hash)
      exhibit = ::Spotlight::Exhibit.find(csv_params[:exhibit_id])
      user    = ::User.find(csv_params[:user])
      Spotlight::AddUploadsFromCSV.perform_later(csv, exhibit, user)
    end

    def get_response uri
      http             = Net::HTTP.new(uri.host, uri.port)
      http.use_ssl     = true
      http.verify_mode = OpenSSL::SSL::VERIFY_NONE
      request          = Net::HTTP::Get.new(uri.request_uri)
      http.request(request)
    end
  end
end